=== debian/control ===
Source: ros-kinetic-smp-ros
Section: misc
Priority: extra
Maintainer: Chittaranjan Srinivas Swaminathan <chittaranjan.swaminathan@oru.se>
Build-Depends: debhelper (>= 9.0.0), libmrpt-dev, ros-kinetic-catkin, ros-kinetic-costmap-2d, ros-kinetic-geometry-msgs, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-smp-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmrpt-dev, ros-kinetic-costmap-2d, ros-kinetic-geometry-msgs, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-tf
Description: The smp_ros package
